Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.state
Class AbstractChatState

    java.lang.Object
      |
      +--org.jbrain.qlink.state.AbstractState
            |
            +--org.jbrain.qlink.state.AbstractChatState

All Implemented Interfaces:
  QState

Direct Known Subclasses:
  Chat, SimpleChat

public abstract class AbstractChatState
extends AbstractState

Field Summary
`protected org.jbrain.qlink.state.AbstractChatState.QueuedChatEventListener` | `_listener`
`protected Room` | `_room`
`protected static java.lang.String` | `pad`

Fields inherited from class org.jbrain.qlink.state.AbstractState
`_session`

Constructor Summary
`AbstractChatState(QSession session)`

Method Summary
`protected QSeat[]` | `addListener()`
`boolean` | `execute(Action a)`
`protected ChatProfile` | `getProfile(org.jbrain.qlink.user.AccountInfo info)`
`protected void` | `leaveRoom()`
`protected void` | `process(java.lang.String text)`
`protected void` | `sendUserList()`
`protected void` | `showSeats(QSeat[] seats, boolean bRoomChange)`

Methods inherited from class org.jbrain.qlink.state.AbstractState
`activate, checkEmail, getName, passivate, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pad

    protected static final java.lang.String pad

See Also:
  Constant Field Values

### _room

    protected Room _room

### _listener

    protected org.jbrain.qlink.state.AbstractChatState.QueuedChatEventListener _listener

Constructor Detail

### AbstractChatState

    public AbstractChatState(QSession session)

Parameters:
  `session` -

Method Detail

### execute

    public boolean execute(Action a)
                    throws java.io.IOException

  Specified by:
    `execute` in interface `QState`
  Overrides:
    `execute` in class `AbstractState`
    `java.io.IOException`

### process

    protected void process(java.lang.String text)
                    throws java.io.IOException

  Parameters:
    `text` -
    `java.io.IOException`

### showSeats

    protected void showSeats(QSeat[] seats,
                             boolean bRoomChange)

  Returns:

### sendUserList

    protected void sendUserList()

### leaveRoom

    protected void leaveRoom()

### addListener

    protected QSeat[] addListener()

### getProfile

    protected ChatProfile getProfile(org.jbrain.qlink.user.AccountInfo info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD